//
//  GPSReadoutViewController.h
//  GPSReadout
//
//  Created by Brad Larson on 2/26/2010.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>

@interface GPSReadoutViewController : UIViewController <CLLocationManagerDelegate>
{
	CLLocationManager *locationManager;
	CLLocation *matcLocation;
	
	IBOutlet UIButton *startOrStopUpdatingButton, *startOrStopUpdatingHeadingButton;
	
	IBOutlet UILabel *latitudeLabel, *longitudeLabel, *altitudeLabel, *timeStampLabel, *distanceFromMATCLabel, *speedLabel;
	IBOutlet UILabel *magneticHeadingLabel, *trueHeadingLabel, *headingTimeStampLabel;
	
	BOOL isUpdatingPosition, isUpdatingHeading;
}

@property(readonly) CLLocationManager *locationManager;

// Control methods
- (IBAction)startOrStopUpdatingLocation;
- (IBAction)startOrStopUpdatingHeading;

@end

